package com.yhy.module.core.service.resource;

import com.yhy.module.core.controller.admin.resource.vo.ResourceCategorySaveReqVO;
import com.yhy.module.core.dal.dataobject.resource.ResourceCategoryDO;

import java.util.List;

public interface ResourceCategoryService {

    /**
     * 创建工料机类别
     */
    Long create(ResourceCategorySaveReqVO reqVO);

    /**
     * 更新工料机类别
     */
    void update(ResourceCategorySaveReqVO reqVO);

    /**
     * 删除工料机类别
     */
    void delete(Long id);

    /**
     * 获取工料机类别详情
     */
    ResourceCategoryDO get(Long id);

    /**
     * 获取工料机类别列表
     */
    List<ResourceCategoryDO> list();
    
    /**
     * 交换两个类别的排序
     *
     * @param nodeId1 节点1的ID
     * @param nodeId2 节点2的ID
     */
    void swapSortOrder(Long nodeId1, Long nodeId2);
}
